Page MenuHomeFreeBSD

handbook/mirrors: Refresh the whole section
ClosedPublic

Authored by dbaio on Feb 3 2022, 2:12 PM.

Details

Summary

The main change here is that now the official mirrors are the official mirrors managed by cluster adm team.

The other mirrors are now named community mirrors.

-->

Remove all mirrors sections [1] (much outdated information) in favor of a small and unified one [2].

I checked every single mirror (for each protocol) and removed all that is not responding or that has duplicate IPs with another mirror [3].

This was discussed with clusteradm, but the text needs review and possible improvements.

1 - handbook/mirrors-http, handbook/mirrors-ftp, handbook/mirrors-rsync, handbook/eresources-web

2 - new section preview

3 - mirrors removed from the list

Test Plan

Diff Detail

Repository
R9 FreeBSD doc repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

dbaio requested review of this revision.Feb 3 2022, 2:12 PM
dbaio created this revision.

Likewise for all instances of icon:envelope.

documentation/content/en/books/handbook/mirrors/_index.adoc
51–52

Simplify

54–55

Maybe expand the state codes?

68

Maybe https instead for consistency with eg, the committer's guide? Or would (the lack of) certificates stand in the way?

72

https?

84
90–92

alt text? How would a screenreader render the icon?

550
559–560

No longer providing a postal address. I'd remove this or at least check with them. (Let me know, for the latter, if you want me to supply the French.)

559–560

Either remove completely or use contact form URL (https://www.getlinux.fr/index.php?route=information/contact) instead.

560
563–567

See end of sidebar on left for current contact info.

568

Nice! This cleanup was long overdue. A few nits though.

documentation/content/en/books/handbook/eresources/_index.adoc
1177

Can we just get rid of this section? First time I found it in Handbook, I was like "where are there two Mirrors sections", and now with this patch it seems entirely redundant.

documentation/content/en/books/handbook/mirrors/_index.adoc
53

It's perhaps just me, but I think it would look better without this (and several other) empty lines, ie. with longer paragraphs.

68

Also, maybe capitalise the protocol names, eg s/http/HTTP/g.

I've suggested changing both "FreeBSD FTP server" and "FreeBSD server" (linking to download.freebsd.org) to "FreeBSD download server" for consistency, but if you'd rather s/FreeBSD FTP server/FreeBSD server/g only, that's fine with me as well.

documentation/content/en/books/arch-handbook/_index.adoc
53
documentation/content/en/books/arch-handbook/book.adoc
52
documentation/content/en/books/developers-handbook/_index.adoc
57
documentation/content/en/books/developers-handbook/book.adoc
56
documentation/content/en/books/handbook/_index.adoc
58
documentation/content/en/books/handbook/book.adoc
58
  • Address points from trasz and pauamma
dbaio marked 12 inline comments as done.Feb 6 2022, 2:41 PM

Hi, thanks for reviewing @trasz and @pauamma_gundo.com

documentation/content/en/books/arch-handbook/_index.adoc
53

I liked of FreeBSD download server, thanks

documentation/content/en/books/handbook/eresources/_index.adoc
1177

I agree, removed

documentation/content/en/books/handbook/mirrors/_index.adoc
68

There are too many protocols here on this page. I thought it would be easy to read this way, but I can change. What do you guys prefer? Capitalize all of them?

90–92

I couldn't make it work with icon-macro.

Still need to update the postal addresses and contact info for retailer sites and make some accessibility changes (I think I got all missing alt= for envelope icons, but please check).

documentation/content/en/books/handbook/mirrors/_index.adoc
98–100
102–104
110–112
114–116
118–120
122–124
134–136
154–156
162–164
182–184
190–192
202–204
206–208
210–212
214–216
222–224
226–228
238–240
242–244
250–252
254–256
262–264
550

Still need to update that.

559–560

And that.

563–567

And that.

dbaio added inline comments.
documentation/content/en/books/handbook/mirrors/_index.adoc
98–100

oops, it seems I let my tests here.
I'll update this review tonight. tks

dbaio marked an inline comment as not done.
  • Address points from pauamma
dbaio marked 32 inline comments as done.Feb 8 2022, 11:14 PM
dbaio added inline comments.
documentation/content/en/books/handbook/mirrors/_index.adoc
568

I'll let it without https; it's returning a certificate error.

Having dug around in the AsciiDoctor syntax and looked at the example in https://docs.asciidoctor.org/asciidoc/latest/macros/icon-macro/#icon-macro-attributes-image-mode-only and not just the text above it, I figure the correct way to specify the alt= attribute in the resulting HTML img tag is United Kingdom icon:envelope[mirror contact,link=mailto:{mirrors-uk-email}] and likewise for other countries. Apologies for misreading that doc.

And once these are taken care of, the change LGTM.

In D34156#774584, @pauamma_gundo.com wrote:

Having dug around in the AsciiDoctor syntax and looked at the example in https://docs.asciidoctor.org/asciidoc/latest/macros/icon-macro/#icon-macro-attributes-image-mode-only and not just the text above it, I figure the correct way to specify the alt= attribute in the resulting HTML img tag is United Kingdom icon:envelope[mirror contact,link=mailto:{mirrors-uk-email}] and likewise for other countries. Apologies for misreading that doc.

And once these are taken care of, the change LGTM.

I tried that, and it didn't change html.

This way works for image icons, and we are using here font icons; that's why I used the title option.

philip added a subscriber: philip.

I'm not sure if all those hostmaster@ aliases work but otherwise this diff looks good to me. Many thanks for doing this work!

This revision is now accepted and ready to land.Feb 10 2022, 2:48 PM

This way works for image icons, and we are using here font icons; that's why I used the title option.

Oh, OK. I wasn't aware of that. LGTM too, then.

This revision was automatically updated to reflect the committed changes.